class Character {
  float x, y, r, vx;
  int img_w, img_h;
  boolean pressed_left; //for the keys pressed
  boolean pressed_right;
  int health;
  PImage spritesheet;
  PImage[] sprites;
  int num_frames, frame;

  Character(float x, float y, float r, String s, int w, int h, int num_frames) {
    this.x = x;
    this.y = y;
    this.r = r;
    img_w = w;
    img_h = h;
    spritesheet = loadImage(s);
    sprites = new PImage[num_frames];
    for (int index = 0; index < num_frames; index++) {
      sprites[index] = spritesheet.get(index*img_w, 0, img_w, img_h);
    }
    frame = 0;
    this.num_frames = num_frames;
    vx = 0;
    health = 150;
    pressed_left = false;
    pressed_right = false;
  }

  void display() {
    update();
    image(sprites[frame], x - img_w/2, y - img_h/2);
  }

  void update() {
    if (pressed_left == true && x-r>300)
      vx = -5; //to change direction
    else if (pressed_right == true && x+r<800)
      vx = 5;
    else
      vx = 0;

    x+=vx;

    //for moving slower between the different frames
    if (frameCount % 5 == 0)
      frame = (frame + 1) % num_frames;
  }
}
